Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmStatusAndDate.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmStatusAndDate.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmStatusAndDate.cs	(revision 51)
@@ -69,6 +69,11 @@
         private bool m_TaxDisplayFlg = true;
 
         /// <summary>
+        /// 実行処理番号
+        /// </summary>
+        private int m_ExecuteProcNo = 0;
+
+        /// <summary>
         /// 日付印刷
         /// </summary>
         private bool m_bDatePrintFlg = true;
@@ -97,7 +102,17 @@
             get { return m_ConstructionCode; }
             set { m_ConstructionCode = value; }
         }
+
         /// <summary>
+        /// 実行処理番号
+        /// </summary>
+        public int ExecuteProcNo
+        {
+            get { return m_ExecuteProcNo; }
+            set { m_ExecuteProcNo = value; }
+        }
+
+        /// <summary>
         /// 消費税フラグ
         /// </summary>
         public int ConsumptionTaxFlg
@@ -444,6 +459,18 @@
                 // 消費税操作パネルの表示を制御する
                 if (!TaxDisplayFlg) groupBox3.Visible = false;
 
+                switch (m_ExecuteProcNo)
+                {
+                    case (int)ClsExcute.ProcessExecuteNo.EstimatePrint:
+                        groupBox2.Text = "見積提出日";
+                        break;
+                    case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint:
+                        groupBox2.Text = "注文書作成日";
+                        break;
+                    default:
+                        break;
+                }
+
                 // 文字セット
                 ToolTip1.SetToolTip(dateTimePicker1, "見積提出日が表示されている日付と違う場合は、変更してください。");
                 ToolTip1.SetToolTip(radioButton4, "見積提出日を見積書へ「印刷する」場合は、こちらを選択してください。");
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.Designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.Designer.cs	(revision 51)
@@ -53,7 +53,7 @@
             this.label26 = new System.Windows.Forms.Label();
             this.btnMyCompany = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
-            this.cmbIJobType = new System.Windows.Forms.ComboBox();
+            this.cmbJobType = new System.Windows.Forms.ComboBox();
             this.label2 = new System.Windows.Forms.Label();
             this.cmbJapaneseSyllabary = new System.Windows.Forms.ComboBox();
             this.dgvSearch = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
@@ -242,7 +242,7 @@
             this.tableLayoutPanel1.Controls.Add(this.label26, 0, 1);
             this.tableLayoutPanel1.Controls.Add(this.btnMyCompany, 0, 3);
             this.tableLayoutPanel1.Controls.Add(this.label1, 0, 0);
-            this.tableLayoutPanel1.Controls.Add(this.cmbIJobType, 1, 0);
+            this.tableLayoutPanel1.Controls.Add(this.cmbJobType, 1, 0);
             this.tableLayoutPanel1.Controls.Add(this.label2, 0, 2);
             this.tableLayoutPanel1.Controls.Add(this.cmbJapaneseSyllabary, 1, 2);
             this.tableLayoutPanel1.Location = new System.Drawing.Point(48, 4);
@@ -266,7 +266,7 @@
             this.cmbLabour.Name = "cmbLabour";
             this.cmbLabour.Size = new System.Drawing.Size(160, 24);
             this.cmbLabour.TabIndex = 1;
-            this.cmbLabour.SelectedIndexChanged += new System.EventHandler(this.cmbLabour_SelectedIndexChanged);
+            this.cmbLabour.TextChanged += new System.EventHandler(this.cmbLabour_TextChanged);
             // 
             // label26
             // 
@@ -309,16 +309,16 @@
             this.label1.Text = "職　種";
             this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // cmbIJobType
+            // cmbJobType
             // 
-            this.cmbIJobType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbIJobType.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbIJobType.FormattingEnabled = true;
-            this.cmbIJobType.Location = new System.Drawing.Point(133, 3);
-            this.cmbIJobType.Name = "cmbIJobType";
-            this.cmbIJobType.Size = new System.Drawing.Size(350, 24);
-            this.cmbIJobType.TabIndex = 0;
-            this.cmbIJobType.SelectedIndexChanged += new System.EventHandler(this.cmbItemType_SelectedIndexChanged);
+            this.cmbJobType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbJobType.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbJobType.FormattingEnabled = true;
+            this.cmbJobType.Location = new System.Drawing.Point(133, 3);
+            this.cmbJobType.Name = "cmbJobType";
+            this.cmbJobType.Size = new System.Drawing.Size(350, 24);
+            this.cmbJobType.TabIndex = 0;
+            this.cmbJobType.TextChanged += new System.EventHandler(this.cmbJobType_TextChanged);
             // 
             // label2
             // 
@@ -341,7 +341,7 @@
             this.cmbJapaneseSyllabary.Name = "cmbJapaneseSyllabary";
             this.cmbJapaneseSyllabary.Size = new System.Drawing.Size(100, 24);
             this.cmbJapaneseSyllabary.TabIndex = 2;
-            this.cmbJapaneseSyllabary.SelectedIndexChanged += new System.EventHandler(this.cmbJapaneseSyllabary_SelectedIndexChanged);
+            this.cmbJapaneseSyllabary.TextChanged += new System.EventHandler(this.cmbJapaneseSyllabary_TextChanged);
             // 
             // dgvSearch
             // 
@@ -450,7 +450,7 @@
         private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
         private System.Windows.Forms.ComboBox cmbJapaneseSyllabary;
         private System.Windows.Forms.Label label1;
-        private System.Windows.Forms.ComboBox cmbIJobType;
+        private System.Windows.Forms.ComboBox cmbJobType;
         private System.Windows.Forms.Label label2;
         private CustomControls.DataGridViewEX dgvSearch;
         private CustomControls.DataGridViewEX dgvHistory;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 51)
@@ -318,7 +318,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbItemType_SelectedIndexChanged(object sender, EventArgs e)
+        private void cmbJobType_TextChanged(object sender, EventArgs e)
         {
             try
             {
@@ -327,8 +327,9 @@
                 cmbJapaneseSyllabary.SelectedIndex = -1;
                 cmbLabour.SelectedIndex = -1;
 
-                string strSQL = " Where CompanyCode In (Select CompanyCode From SUBCONTRACTORJOBLINK";
-                strSQL += string.Format("  Where JobCategoryCode = {0})", CommonMotions.cnvInt(cmbIJobType.SelectedValue));
+                string strSQL = " Where CompanyCode In (Select A1.CompanyCode From SUBCONTRACTORJOBLINK A1";
+                strSQL += string.Format("  Where A1.JobCategoryCode = {0})", CommonMotions.cnvInt(cmbJobType.SelectedValue));
+                strSQL += " AND DELETEFLG = 0";
                 strSQL += " Order By DisplayOrder";
                 // データ表示
                 DispMasterGridData(strSQL);
@@ -346,16 +347,17 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbJapaneseSyllabary_SelectedIndexChanged(object sender, EventArgs e)
+        private void cmbJapaneseSyllabary_TextChanged(object sender, EventArgs e)
         {
             try
             {
                 if (m_InitFlg) return;
 
-                cmbIJobType.SelectedIndex = -1;
+                cmbJobType.SelectedIndex = -1;
                 cmbLabour.SelectedIndex = -1;
 
                 string strSQL = " Where JapaneseSyllabary = '" + cmbJapaneseSyllabary.SelectedValue.ToString() + "'";
+                strSQL += " AND DELETEFLG = 0";
                 strSQL += " Order By DisplayOrder";
                 // データ表示
                 DispMasterGridData(strSQL);
@@ -373,7 +375,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbLabour_SelectedIndexChanged(object sender, EventArgs e)
+        private void cmbLabour_TextChanged(object sender, EventArgs e)
         {
             try
             {
@@ -380,9 +382,10 @@
                 if (m_InitFlg) return;
 
                 cmbJapaneseSyllabary.SelectedIndex = -1;
-                cmbIJobType.SelectedIndex = -1;
+                cmbJobType.SelectedIndex = -1;
 
                 string strSQL = string.Format(" Where labourKind = {0}", cmbLabour.SelectedValue);
+                strSQL += " AND DELETEFLG = 0";
                 strSQL += " Order By DisplayOrder";
                 // データ表示
                 DispMasterGridData(strSQL);
@@ -455,7 +458,7 @@
                 List<SubContractorMaster> sbcList = new List<SubContractorMaster>();
                 
                 // SQL作成
-                // 職種マスタ取得
+                // 協力会社マスタ取得
                 if (!sbcDB.SelectAction(strSearch, ref sbcList)) return;
 
                 // 要素表示
@@ -468,12 +471,6 @@
 
                     dgvSearch.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = wrk.CompanyName;
                 }
-                // 画面一杯に行を表示する
-                if (dgvSearch.Rows.Count < CommonDefine.s_MaxInitLineCountMastamente)
-                {
-                    int idspCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvSearch.Rows.Count;
-                    if (idspCnt != 0) dgvSearch.Rows.Add(idspCnt);
-                }
             }
             catch (Exception ex)
             {
@@ -481,8 +478,10 @@
             }
             finally
             {
-                sbcDB.close();
-                sbcDB = null;
+                sbcDB.close(); sbcDB = null;
+
+                // 画面一杯に行を表示する
+                dgvSearch.RowCount += CommonDefine.s_MaxInitLineCountMastamente - dgvSearch.Rows.Count;
             }
         }
         #endregion
@@ -518,8 +517,9 @@
                     }
                     else
                     {
-                        // 職種マスタ取得
+                        // 協力会社マスタ取得
                         strSQL = sbcDB.CreatePrimarykeyString(wrk.InputCode);
+                        strSQL += " AND DELETEFLG = 0";
                         if (!sbcDB.SelectAction(strSQL, ref sbcRec)) continue;
                     }
                     int iRows = dgvHistory.Rows.Add(++i,
@@ -528,12 +528,6 @@
 
                     dgvHistory.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = sbcRec.CompanyName;
                 }
-                // 画面一杯に行を表示する
-                if (dgvHistory.Rows.Count < CommonDefine.s_MaxInitLineCountMastamente)
-                {
-                    int idspCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvHistory.Rows.Count;
-                    if (idspCnt != 0) dgvHistory.Rows.Add(idspCnt);
-                }
             }
             catch (Exception ex)
             {
@@ -543,6 +537,9 @@
             {
                 isdDB.close(); isdDB = null;
                 sbcDB.close(); sbcDB = null;
+
+                // 画面一杯に行を表示する
+                dgvHistory.RowCount += CommonDefine.s_MaxInitLineCountMastamente - dgvHistory.Rows.Count;
             }
         }
         #endregion
@@ -569,7 +566,8 @@
 
                 // SQL作成
                 string strSQL = sbcDB.CreatePrimarykeyString(SubContractorCode);
-                // 職種マスタ取得
+                strSQL += " AND DELETEFLG = 0";
+                // 協力会社マスタ取得
                 if (!sbcDB.SelectAction(strSQL, ref DataRec)) return false;
 
                 return true;
@@ -581,8 +579,7 @@
             }
             finally
             {
-                sbcDB.close();
-                sbcDB = null;
+                sbcDB.close(); sbcDB = null;
             }
         }
         #endregion
@@ -636,7 +633,7 @@
                     DataList.Add(keyval);
                 }
                 // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbIJobType, DataList);
+                ComboBoxAction.InitDataSetCombBox(cmbJobType, DataList);
             }
             catch (Exception ex)
             {
@@ -658,7 +655,7 @@
             IOMSubContractor sbDB = new IOMSubContractor();
             try
             {
-                string strSQL = "Select Distinct JapaneseSyllabary From SubContractorMaster Order By JapaneseSyllabary";
+                string strSQL = "Select Distinct JapaneseSyllabary From SubContractorMaster WHERE DELETEFLG = 0 Order By JapaneseSyllabary";
                 ArrayList arData = new ArrayList();
                 if (!sbDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
